Bug 1130326 - example from manual page aborts with error message
Summary: example from manual page aborts with error message
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: plplot
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-14 21:20 UTC by Michael Schwendt
Modified: 2016-11-24 20:26 UTC (History)
2 users (show)

Fixed In Version: plplot-5.11.1-7.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-24 20:26:51 UTC


Attachments (Terms of Use)

Description Michael Schwendt 2014-08-14 21:20:18 UTC
Unlike as with F20, there is no segfault (bug 1055054), but the example gives an error:

$ perl perl-PDL-Graphics-PLplot_test.pl 

*** PLPLOT WARNING ***
Unable to open cmap0 file cmap0_default.pal


*** PLPLOT ERROR, IMMEDIATE EXIT ***
Unable to either (1) open/find or (2) allocate memory for the font file
Program aborted

[...]

# rpm -qa|grep PDL
perl-PDL-2.7.0-4.fc21.x86_64
perl-PDL-Graphics-PLplot-0.67-2.fc21.x86_64
# rpm -qa|grep -i plplot
perl-PDL-Graphics-PLplot-0.67-2.fc21.x86_64
plplot-libs-5.10.0-9.fc21.x86_64

Comment 1 Fedora Admin XMLRPC Client 2016-02-26 17:45:00 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Fedora Admin XMLRPC Client 2016-03-18 08:10:46 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Petr Pisar 2016-04-04 11:57:54 UTC
The is caused by missing /usr/share/plplot5.10.0/plxtnd5.fnt file that is provided by plplot package. Obviously a default font is required to render a graph.

I can reproduce the error with:

plplot-libs-5.10.0-17.fc22.x86_64
perl-PDL-2.7.0-8.fc22.x86_64
perl-PDL-Graphics-PLplot-0.67-5.fc22.x86_64

if plplot package is not installed.

The same issue is in F25.

Comment 4 Petr Pisar 2016-04-04 12:35:37 UTC
I can reproduce the same with plplot in C. Building example from <http://plplot.sourceforge.net/examples.php?demo=00&lbind=C> with plcdemos.h from examples directory with this command:

$ gcc $(pkg-config --cflags --libs plplotd) -I. test.c

produces ./a.out that can be run as:

$ ./a.out -dev pngcairo -o test.png

But if I uninstall plplot package and generate the graph again, it fails with the same error message as reported for the Perl binding:

$ ./a.out -dev pngcairo -o test.png

*** PLPLOT WARNING ***
Unable to open cmap0 file cmap0_default.pal


*** PLPLOT WARNING ***
Unable to open cmap0 file cmap0_default.pal


*** PLPLOT WARNING ***
Unable to open cmap1 .pal file cmap1_default.pal


*** PLPLOT ERROR, IMMEDIATE EXIT ***
Unable to either (1) open/find or (2) allocate memory for the font file
Program aborted

Tracing the command confirms it's because of the missing font file:

open("cmap0_default.pal", O_RDONLY)     = -1 ENOENT (No such file or directory)
open("/usr/share/plplot5.10.0/cmap0_default.pal", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/local/plplot/lib/cmap0_default.pal", O_RDONLY) = -1 ENOENT (No such file or directory)

*** PLPLOT WARNING ***
Unable to open cmap0 file cmap0_default.pal

open("cmap0_default.pal", O_RDONLY)     = -1 ENOENT (No such file or directory)
open("/usr/share/plplot5.10.0/cmap0_default.pal", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/local/plplot/lib/cmap0_default.pal", O_RDONLY) = -1 ENOENT (No such file or directory)

*** PLPLOT WARNING ***
Unable to open cmap0 file cmap0_default.pal

open("cmap1_default.pal", O_RDONLY)     = -1 ENOENT (No such file or directory)
open("/usr/share/plplot5.10.0/cmap1_default.pal", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/local/plplot/lib/cmap1_default.pal", O_RDONLY) = -1 ENOENT (No such file or directory)

*** PLPLOT WARNING ***
Unable to open cmap1 .pal file cmap1_default.pal

open("test.png", O_RDWR|O_CREAT|O_TRUNC, 0666) = 3
open("plxtnd5.fnt", O_RDONLY)           = -1 ENOENT (No such file or directory)
open("/usr/share/plplot5.10.0/plxtnd5.fnt", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/local/plplot/lib/plxtnd5.fnt", O_RDONLY) = -1 ENOENT (No such file or directory)

*** PLPLOT ERROR, IMMEDIATE EXIT ***
Unable to either (1) open/find or (2) allocate memory for the font file
Program aborted
+++ exited with 1 +++

Reassigning to plplot. I think the plplot-libs package should delived default fonts, so that compiled code works.

Comment 5 Fedora End Of Life 2016-07-19 12:01:23 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 6 Fedora Update System 2016-07-19 22:11:52 UTC
plplot-5.11.1-7.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c02edcbba0

Comment 7 Fedora Update System 2016-07-21 04:22:17 UTC
plplot-5.11.1-7.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c02edcbba0

Comment 8 Fedora Update System 2016-11-24 20:26:51 UTC
plplot-5.11.1-7.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.